## wmget 0.6.0

=== Makefile ===
# Copyright (c) 2001-2003 Aaron Trickey <aaron@amtrickey.net>
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
# AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

# Makefile for the ``wmget'' (formerly ``wmcurl'') project.
# This Makefile requires GNU make and probably other GNU stuff...


########################################################################
# Build Targets:
#
# all [default]:	Builds the wmget application and documentation
# install:		Installs the application
# uninstall:		Attempts to uninstall, if this makefile installed it
# dockapplib:		Recurses into the dockapp dir and builds the library
# doc:			Builds all documentation (okay, it's only a manpage)
# clean:		Cleans, except for generated HTML/man docs
# docclean:		Cleans generated docs
# slackpkg:		Builds a Slackware package in packages/slackware
# sourceball:		Builds a source+docs tarball in packages/source
########################################################################

all:		wmget doc

.PHONY:		all install uninstall dockapplib doc clean \
		docclean slackpkg sourceball


##### BUILD SETTINGS AND VARIABLES #####################################

# To specify a different prefix, you can override this on the command line
#	make PREFIX=/opt/dockapps install
PREFIX=		/usr/local

INSTALLDIR=	install -d -m 755
INSTALLBIN=	install -m 555
INSTALLMAN=	install -m 444
CC=		gcc
CFLAGS=		-Wall -W -I/usr/X11R6/include -O
# The following line is what I use during development
#CFLAGS:=	$(CFLAGS) -Werror -g 
LDFLAGS=	-L/usr/X11R6/lib -lXpm -lXext -lX11 -lm -lcurl
DOCS=		wmget.1

VERSION:=	$(shell grep '\#define WMGET_VERSION ' wmget.h \
			| sed -e 's/.*"\(.*\)".*/\1/' )

OBJS=		server.o \
		request.o \
		cancel.o \
		list.o \
		retrieve.o \
		iq.o \
		wmget.o \
		configure.o \
		messages.o \
		usage.o

DALIBDIR=	dockapp
DALIB=		$(DALIBDIR)/dockapp.a

ALL_SRCS=	$(subst .o,.c,$(OBJS))


##### PROGRAM ##########################################################

install:	all
		echo $(PREFIX) > install.prefix ; \
		$(INSTALLDIR) $(PREFIX)/bin ; \
		$(INSTALLBIN) wmget $(PREFIX)/bin/wmget ; \
		$(INSTALLDIR) $(PREFIX)/man/man1 ; \
		$(INSTALLMAN) wmget.1 $(PREFIX)/man/man1/wmget.1 ; \

uninstall:
		cd `cat install.prefix` && rm -f bin/wmget man/man1/wmget.1
		rm -f install.prefix

wmget:		dockapplib $(OBJS)
		$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) $(DALIB) -o $@


##### LIBRARY ##########################################################

dockapplib:
		make -C $(DALIBDIR)



##### DOCUMENTATION ####################################################

doc:		$(DOCS)


# NOTE: The wmget refentry page uses an <?xml-stylesheet?> PI, I use an XML
# catalog file to map the given URL to a local path

wmget.1:	wmget.refentry.xml
		xsltproc --nonet $<


##### CLEANUP ##########################################################

clean:
		rm -f *.o wmget core pod2html-* install.prefix \
			wmget.html
		make -C dockapp clean

docclean:
		rm -f $(DOCS)


##### SLACKWARE PACKAGE ################################################

SLACK_PFX=	slackroot/$(PREFIX)
SLACK_PACKAGE=	packages/slackware/wmget-$(VERSION).tgz

slackpkg:	wmget doc
		-mkdir -p packages/slackware
		rm -rf slackroot
		$(INSTALLDIR) $(SLACK_PFX)
		$(INSTALLDIR) $(SLACK_PFX)/bin
		$(INSTALLDIR) $(SLACK_PFX)/man
		$(INSTALLDIR) $(SLACK_PFX)/man/man1
		$(INSTALLBIN) wmget $(SLACK_PFX)/bin/wmget
		$(INSTALLMAN) wmget.1 $(SLACK_PFX)/man/man1/wmget.1
		cd slackroot && \
		tar czv	-f ../$(SLACK_PACKAGE) 	\
			--owner=root 		\
			--group=root 		\
			*
		rm -rf slackroot


##### SOURCE PACKAGE ###################################################

SOURCEBALL=	packages/source/wmget-$(VERSION)-src.tar.gz

sourceball:	doc clean
		-mkdir -p packages/source
		cd .. &&			\
		tar czv	--exclude RCS 		\
			--exclude .\*		\
			--exclude packages	\
			--exclude tags		\
			--exclude \*~		\
			--exclude working	\
			--exclude www		\
			-f wmget/$(SOURCEBALL) 	\
			wmget


##### WEB SITE #########################################################

WWW_SRC=	$(HOME)/amtrickey.net/src
WWW_DOWNLOAD=	$(WWW_SRC)/download
WWW_WMGET=	$(WWW_SRC)/wmget

www:		slackpkg sourceball
		cp $(SLACK_PACKAGE) $(WWW_DOWNLOAD)
		cp $(SOURCEBALL) $(WWW_DOWNLOAD)
		cp NEWS wmget.refentry.xml $(WWW_WMGET)

=== debian/changelog ===
wmget (0.6.0-5) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Tidy up using wrap-and-sort.
  * debian/{copyright,patches}
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 23 Aug 2015 13:03:35 -0400

wmget (0.6.0-4) unstable; urgency=medium

  * New maintainer (Closes: #776650).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump versioned dependency on debhelper to >=9.
    - Bump Standards-Version to 3.9.6.
    - Add Homepage and Vcs-*.
    - Remove trailing whitespace from Description.
    - Add ${misc:Depends} to Depends.
    - Remove dpatch from Build-Depends.
    - Switch Build-Depends on libcurl3-dev to libcurl4-openssl-dev.
    - Add ${perl:Depends} to Depends.
  * debian/copyright
    - Update to DEP5 machine-readable format v1.0.
  * debian/docs
    - Remove wmget.refentry.xml; this is the source file for the manpage,
      not user-readable documentation.
  * debian/{docs,install}
    - Move wmget-test.pl from /usr/share/doc/wmget to /usr/share/wmget.
  * debian/patches/01_Makefile.dpatch
    - Convert to quilt, add DEP3 header, and rename to 01_Makefile.patch.
    - Tidy up build flags and fix linking order.
    - Honor DESTDIR variable.
    - Drop unnecessary -lm from LIBS.
  * debian/patches/fix_resource_leaks.patch
    - New patch; call fclose() on all the files we fopen().
  * debian/patches/fix_-Wpointer-to-int-cast.patch
    - New patch; fix compiler warnings.
  * debian/rules
    - Add get-orig-source target.
    - Update to use dh.
    - Add override_dh_auto_build target to use CFLAGS and LDFLAGS from
      dpkg-buildflags.
    - Add override_dh_auto_install target to set PREFIX to /usr and use
      LDFLAGS from dpkg-buildflags.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - Bump version to 3.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 11 Feb 2015 09:02:30 -0600

wmget (0.6.0-3) unstable; urgency=low

  * QA upload.
  * Replace build-dependency on x-dev by x11proto-core-dev (Closes: #515406).
  * Change menu section to "Applications/Network/File Transfer".

 -- Ralf Treinen <treinen@debian.org>  Sat, 21 Feb 2009 08:54:25 +0100

wmget (0.6.0-2) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#352435); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * Remove build dependency on libc6-dev; it's build-essential.
  * debian/rules
    - Pass CFLAGS to the upstream Makefile for DEB_BUILD_OPTIONS=noopt.
    - Let dh_strip handle DEB_BUILD_OPTIONS=nostrip.
  * debian/watch
    - Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Wed,  1 Mar 2006 20:39:22 +0100

wmget (0.6.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #347081).

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 21 Jan 2006 11:10:41 +0100

wmget (0.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to libcurl3-dev (Closes: #279454).

 -- Domenico Andreoli <cavok@debian.org>  Wed, 22 Dec 2004 18:08:27 +0100

wmget (0.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #252717).
  * Move binary to /usr/bin from /bin (Closes: #227175).
  * Change maintainer email.

 -- Rafal Zawadzki <bluszcz@jabberpl.org>  Sat,  5 Jun 2004 00:34:50 +0200

wmget (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Follow HTTP redirects (Closes: #162989).
  * Fix error when invoking a download from command line (Closes: #176558).

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Thu,  9 Feb 2003 09:37:38 +0200

wmget (0.4.4-2) unstable; urgency=low

  * Fix debian/control file (Closes: #165559).

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Tue, 29 Oct 2002 11:58:20 +0200

wmget (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Thu, 20 Jun 2002 15:08:41 +0200

wmget (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Tue, 18 Jun 2002 09:34:08 +0200

wmget (0.4.2-2) unstable; urgency=low

  * Compile errors on hppa, patch by LaMont Jones (lamont@security.hp.com),
    (Closes: #150003).

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Mon, 17 Jun 2002 11:50:02 +0200

wmget (0.4.2-1) unstable; urgency=low

  * Initial release.

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Fri, 31 May 2002 10:54:37 +0200

=== debian/control ===
Source: wmget
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               libcurl4-openssl-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               x11proto-core-dev
Standards-Version: 3.9.6
Homepage: http://amtrickey.net/wmget/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmget.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmget.git

Package: wmget
Architecture: any
Depends: curl, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Background download manager in a Window Maker dock app
 wmget is a dock app for the GNU Window Maker window manager
 (or one of the many other WM's which support dockapps) which
 makes it more convenient to perform long downloads in the background.
 It uses the excellent libcurl library, part of the cURL automated-download
 program, to perform file retrieval.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
http://amtrickey.net/download/wmget-(.*)-src\.tar\.gz

## wmget 0.6.1

=== dockapp/Makefile ===
# Copyright (c) 2001-2003 Aaron Trickey <aaron@amtrickey.net>
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
# AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

# Makefile for the dockapp library packaged in the ``wmget'' application.


DAOBJS=		da_run.o da_x.o da_mouse.o

CFLAGS=		-ansi -Wall -W -Werror -g
LDFLAGS=	-L/usr/X11R6/lib -lXpm -lXext -lX11

dockapp.a:	$(DAOBJS)
		ar rcsv dockapp.a $(DAOBJS)

unittest:	unittest.o $(DAOBJS)

clean:		
		rm -f unittest.o unittest dockapp.a $(DAOBJS)

=== debian/changelog ===
wmget (0.6.1-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:54:56 +0000

wmget (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Add dh-autoreconf and pkg-config to Build-Depends.
    - Bump Standards-Version to 3.9.7; no changes required.
    - Update Homepage.
    - Update Vcs-Browser to use https protocol.
  * debian/copyright
    - Update Upstream-Contact and Source.
  * debian/docs
    - Remove NEWS.
  * debian/patches
    - Remove directory; patches applied upstream, or, in the case of
      01_Makefile.patch, unnecessary due to switch to autotools.
  * debian/rules
    - Use dh-autoreconf and remove override_dh_auto_{build,install} targets
      made unnecessary by switch to autotools.
    - Enable all hardening flags.
    - Update get-orig-source target.
  * debian/rules
    - Add override_dh_installchangelogs target to install NEWS as upstream
      changelog.
  * debian/watch
    - Update with new download location.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 07 Feb 2016 14:46:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: wmget
 Section: x11
 Priority: optional
-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                libcurl4-openssl-dev,
                libx11-dev,
                libxext-dev,
                libxpm-dev,
+               pkg-config,
                x11proto-core-dev
-Standards-Version: 3.9.6
-Homepage: http://amtrickey.net/wmget/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmget.git
+Standards-Version: 3.9.7
+Homepage: http://windowmaker.org/dockapps/?name=wmget
+Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmget.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmget.git
 
 Package: wmget

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmget-*.download ; then \
		rename -f -v "s/wmget-(.+)\.download/wmget_\1\.orig\.tar\.gz/" \
			../wmget-*.download; \
	fi

=== debian/watch ===
version=3
http://windowmaker.org/dockapps/?name=wmget \?download=wmget-(.+).tar.gz
